Package org.eclipse.net4j.db.ddl

## Class IDBSchemaVisitor.Default

- java.lang.Object
- - org.eclipse.net4j.db.ddl.IDBSchemaVisitor.Default

- All Implemented Interfaces:
    `IDBSchemaVisitor`
  Enclosing interface:
    IDBSchemaVisitor

      public static class IDBSchemaVisitor.Default
      extends java.lang.Object
      implements IDBSchemaVisitor

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaVisitor

      `IDBSchemaVisitor.Default, IDBSchemaVisitor.StopRecursion`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Default()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `stopRecursion()` |
    `void` | `visit​(IDBField element)` |
    `void` | `visit​(IDBIndex element)` |
    `void` | `visit​(IDBIndexField element)` |
    `void` | `visit​(IDBSchema element)` |
    `void` | `visit​(IDBTable element)` |
    `protected void` | `visitDefault​(IDBSchemaElement element)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Default

          public Default()

  - ### Method Detail

    - #### visit

          public void visit​(IDBSchema element)

      Specified by:
        `visit` in interface `IDBSchemaVisitor`

    - #### visit

          public void visit​(IDBTable element)

      Specified by:
        `visit` in interface `IDBSchemaVisitor`

    - #### visit

          public void visit​(IDBField element)

      Specified by:
        `visit` in interface `IDBSchemaVisitor`

    - #### visit

          public void visit​(IDBIndex element)

      Specified by:
        `visit` in interface `IDBSchemaVisitor`

    - #### visit

          public void visit​(IDBIndexField element)

      Specified by:
        `visit` in interface `IDBSchemaVisitor`

    - #### visitDefault

          protected void visitDefault​(IDBSchemaElement element)

    - #### stopRecursion

          protected final void stopRecursion()